<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright SCN Guichet Entreprises, Capgemini and contributors (2014-2016) 
	This software is a computer program whose purpose is to maintain and administrate 
	standalone forms. This software is governed by the CeCILL license under French 
	law and abiding by the rules of distribution of free software. You can use, 
	modify and/ or redistribute the software under the terms of the CeCILL license 
	as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info". 
	As a counterpart to the access to the source code and rights to copy, modify 
	and redistribute granted by the license, users are provided only with a limited 
	warranty and the software's author, the holder of the economic rights, and 
	the successive licensors have only limited liability. In this respect, the 
	user's attention is drawn to the risks associated with loading, using, modifying 
	and/or developing or reproducing the software by the user in light of its 
	specific status of free software, that may mean that it is complicated to 
	manipulate, and that also therefore means that it is reserved for developers 
	and experienced professionals having in-depth computer knowledge. Users are 
	therefore encouraged to load and test the software's suitability as regards 
	their requirements in conditions enabling the security of their systems and/or 
	data to be ensured and, more generally, to use and operate it in the same 
	conditions as regards security. The fact that you are presently reading this 
	means that you have had knowledge of the CeCILL license and that you accept 
	its terms. -->
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:aop="http://www.springframework.org/schema/aop"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                        http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop.xsd">

    <bean id="appstatus" class="net.sf.appstatus.core.AppStatus" init-method="init">
        <property name="objectInstanciationListener">
            <bean class="net.sf.appstatus.support.spring.SpringObjectInstantiationListener" />
        </property>
        <property name="serviceManager" ref="serviceManager" />
        <property name="checkers">
            <list>
                <bean class="net.sf.appstatus.core.check.impl.JvmCheck" />
                <bean class="net.sf.appstatus.core.check.impl.ServicesPerformanceCheck" />
                <bean class="net.sf.appstatus.core.check.impl.ServicesFailureCheck" />
				<bean class="fr.ge.ws.exchange.support.appstatus.ServiceDonneesCheck" />
				<bean class="fr.ge.ws.exchange.support.appstatus.ServiceImprimerieNationaleCheck" />
				<bean class="fr.ge.ct.email.support.appstatus.ServiceSMTPCheck" />
            </list>
        </property>
        <property name="propertyProviders">
            <list>
                <bean class="net.sf.appstatus.core.property.impl.JvmPropertyProvider" />
                <bean class="net.sf.appstatus.core.property.impl.WarMavenVersionProvider" />
            </list>
        </property>
    </bean>

    <bean id="serviceManager" class="net.sf.appstatus.services.InProcessServiceManager">
        <property name="configuration">
            <props>
                <prop key="services.useThreadLocal">true</prop>
                <prop key="services.minMaxDelay">10</prop>
            </props>
        </property>
    </bean>

    <bean id="appStatusInterceptor" class="net.sf.appstatus.support.aop.AppStatusServiceInterceptor">
        <property name="serviceManager" ref="serviceManager" />
    </bean>

    <aop:config proxy-target-class="false">
        <aop:advisor advice-ref="appStatusInterceptor" pointcut="execution(public * fr.ge.ws.exchange.*.service.impl..*.*(..))" />
    </aop:config>

</beans>
